> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List vendor custom field definitions

> Lists the organization's configured vendor custom fields, including fields
without values on any vendor. Results are ordered by stable field ID.
Use field labels and option labels when writing vendor customFields values.



## OpenAPI

````yaml /reference/manage-vanta.json get /vendor-custom-fields
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /vendor-custom-fields:
    get:
      tags:
        - Vendor Custom Fields
      summary: List vendor custom field definitions
      description: >-
        Lists the organization's configured vendor custom fields, including
        fields

        without values on any vendor. Results are ordered by stable field ID.

        Use field labels and option labels when writing vendor customFields
        values.
      operationId: ListVendorCustomFieldDefinitions
      parameters:
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_VendorCustomFieldDefinition_
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - id: 6696ea0595df50d5cd6ec3b8
                          label: Business criticality
                          description: The impact of this vendor on business operations.
                          type: PICKLIST
                          options:
                            - id: 6696ea0595df50d5cd6ec3b9
                              label: Critical
                            - id: 6696ea0595df50d5cd6ec3ba
                              label: Standard
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: NjY5NmVhMDU5NWRmNTBkNWNkNmVjM2I4
                        endCursor: NjY5NmVhMDU5NWRmNTBkNWNkNmVjM2I4
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_VendorCustomFieldDefinition_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/VendorCustomFieldDefinition'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    VendorCustomFieldDefinition:
      properties:
        id:
          type: string
          description: Stable identifier for the configured field.
        label:
          type: string
          description: Use this exact, case-sensitive label in vendor customFields writes.
        description:
          type: string
          nullable: true
        type:
          $ref: '#/components/schemas/VendorCustomFieldDefinitionType'
        options:
          items:
            $ref: '#/components/schemas/VendorCustomFieldDefinitionOption'
          type: array
          description: Allowed choices for PICKLIST fields; omitted for other field types.
        decimalPlaces:
          type: number
          format: double
          nullable: true
          description: >-
            Configured precision for DECIMAL fields; omitted for other field
            types.
      required:
        - id
        - label
        - description
        - type
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
    VendorCustomFieldDefinitionType:
      type: string
      enum:
        - STRING
        - DATE
        - INTEGER
        - DECIMAL
        - PICKLIST
    VendorCustomFieldDefinitionOption:
      properties:
        id:
          type: string
          description: Stable identifier for the option.
        label:
          type: string
          description: >-
            Use this label as a picklist value when creating or updating a
            vendor.
      required:
        - id
        - label
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Set custom fields on vendors](https://developer.vanta.com/docs/guides/use-custom-fields-with-vendors.md)
- [List vendors](https://developer.vanta.com/api-reference/vendors/list-vendors.md)
- [List vendor document types](https://developer.vanta.com/api-reference/vendor-document-types/list-vendor-document-types.md)
- [List of vendors who are in scope for this audit](https://developer.vanta.com/api-reference/audits/list-of-vendors-who-are-in-scope-for-this-audit.md)
- [List vendor categories](https://developer.vanta.com/api-reference/vendor-categories/list-vendor-categories.md)
